import { AccessLevelList } from "../shared/access-level";
import { PolicyStatement } from "../shared";
/**
 * (experimental) Statement provider for service [mobileanalytics](https://docs.aws.amazon.com/service-authorization/latest/reference/list_amazonmobileanalytics.html).
 *
 * @experimental
 */
export declare class Mobileanalytics extends PolicyStatement {
    /**
     * (experimental) Holds the prefix of the service actions, e.g. `ec2`.
     *
     * @experimental
     */
    servicePrefix: string;
    /**
     * (experimental) Statement provider for service [mobileanalytics](https://docs.aws.amazon.com/service-authorization/latest/reference/list_amazonmobileanalytics.html).
     *
     * @param sid [SID](https://docs.aws.amazon.com/IAM/latest/UserGuide/reference_policies_elements_sid.html) of the statement.
     * @experimental
     */
    constructor(sid?: string);
    /**
     * (experimental) Grant access to financial metrics for an app.
     *
     * Access Level: Read
     *
     * @experimental
     */
    toGetFinancialReports(): this;
    /**
     * (experimental) Grant access to standard metrics for an app.
     *
     * Access Level: Read
     *
     * @experimental
     */
    toGetReports(): this;
    /**
     * (experimental) The PutEvents operation records one or more events.
     *
     * Access Level: Write
     *
     * https://docs.aws.amazon.com/mobileanalytics/latest/ug/PutEvents.html
     *
     * @experimental
     */
    toPutEvents(): this;
    /**
     * @experimental
     */
    protected accessLevelList: AccessLevelList;
}
